Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex BareMetal
    • All guides
    • Overview
    • Integrations with other Yandex Cloud services
      • Overview
      • Stock server configurations
      • Custom server configuration
      • On-request server configuration
      • Overview
      • Public network
      • Private network
      • DHCP
      • MC-LAG
      • Restrictions in BareMetal networks
      • Overview
      • Images
      • Access management
      • Additional server settings
      • Management console
        • API authentication
            • Overview
              • Overview
              • GetPrivateCloudConnection
              • ListPrivateCloudConnections
              • CreatePrivateCloudConnection
              • UpdatePrivateCloudConnection
              • DeletePrivateCloudConnection
      • Monitoring metrics
    • Quotas and limits
  • Pricing policy
  • Release notes
  • FAQ

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • PrivateCloudConnection
  1. Concepts
  2. Setup and management
  3. API reference
  4. API v2
  5. REST
  6. PrivateCloudConnection
  7. ListPrivateCloudConnections

BareMetal API, REST: PrivateCloudConnection.ListPrivateCloudConnections

Written by
Yandex Cloud
Updated at September 1, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • PrivateCloudConnection

Retrieves the list of Private cloud connection resources in the specified folder.

HTTP requestHTTP request

GET https://baremetal.api.cloud.yandex.net/baremetal/v2/clouds/{cloudId}/folders/{folderId}/privateCloudConnections

Path parametersPath parameters

Field

Description

cloudId

string

Required field. ID of the parent cloud.

To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request.

folderId

string

Required field. ID of the folder to list private cloud connections in.
To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.

The maximum string length in characters is 50. Value must match the regular expression [a-z][a-z0-9.-]*.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is greater than page_size,
the service returns a [ListPrivateCloudConnectionResponse.next_page_token]
that can be used to get the next page of results in subsequent list requests.
Default value is 20.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set page_token to the
[ListPrivateCloudConnectionResponse.next_page_token] returned by a previous list request.

orderBy

string

Sorting order for the listing. Follows the AIP-132 order_by format:
"field [asc|desc]", e.g. "createTime desc".

Supported fields: privateCloudConnectionId, createTime, updateTime.
Default order: privateCloudConnectionId asc.

filter

string

Filter expression following AIP-160.

Supported fields and operators:

  • privateCloudConnectionId, name, vrfId, routingInstanceId - =, !=, : (contains)
  • state - =, !=

Example: state = "ACTIVE" AND vrfId = "enp1234abcd".

ResponseResponse

HTTP Code: 200 - OK

{
  "privateCloudConnections": [
    {
      "privateCloudConnectionId": "string",
      "cloudId": "string",
      "folderId": "string",
      "vrfId": "string",
      "routingInstanceId": "string",
      "state": "string",
      "name": "string",
      "createTime": "string",
      "updateTime": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

privateCloudConnections[]

PrivateCloudConnection

List of Private cloud connection resources.

nextPageToken

string

Token for getting the next page of the list. If the number of results is greater than
[ListPrivateCloudConnectionRequest.page_size], use next_page_token as the value
for the [ListPrivateCloudConnectionRequest.page_token] parameter in the next list request.
Each subsequent page will have its own next_page_token to continue paging through the results.

PrivateCloudConnectionPrivateCloudConnection

A Private cloud connection resource.

Field

Description

privateCloudConnectionId

string

ID of the private cloud connection.

cloudId

string

ID of the cloud that the private cloud connection belongs to.

folderId

string

ID of the folder that the private cloud connection belongs to.

vrfId

string

ID of VRF that is connected to routing Instance.

routingInstanceId

string

ID of Cloud Router Routing Instance.

state

enum (State)

State of the private cloud connection.

  • CREATING: Private cloud connection is waiting for network resources to be allocated.
  • READY: Private cloud connection is ready to use.
  • ERROR: Private cloud connection encountered a problem and cannot operate.
  • DELETING: Private cloud connection is being deleted.
  • UPDATING: Private cloud connection is being updated.

name

string

Name of the private cloud connection.

createTime

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

updateTime

string (date-time)

Updafe timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

Was the article helpful?

Previous
GetPrivateCloudConnection
Next
CreatePrivateCloudConnection
© 2026 Direct Cursus Technology L.L.C.